Ubuntu

regression vs. notification-daemon: positioning when multiple screens are available

Reported by Max Bowsher on 2009-02-19
582
This bug affects 127 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Low
John Lea
notify-osd (Ubuntu)
Medium
Mirco Müller
Nominated for Lucid by Andri
Jaunty
Medium
Unassigned
Natty
Medium
Mirco Müller
Oneiric
Medium
Mirco Müller

Bug Description

Binary package hint: notify-osd

I use nvidia TwinView (one X desktop across two monitors). notification-daemon was apparently sensitive to this (presumably through Xinerama info?) and would popup on my primary screen.

notify-osd seems to be unaware of this, and appears in the top right of the overall viewport, which is on my secondary screen, and less visible, so less useful as a notifier.

-------------------

<https://wiki.ubuntu.com/NotifyOSD#position>: "If any windows are open, a bubble should appear on whichever display contains the largest fraction of the area of the focused window at the moment the bubble starts appearing. If no windows are open, a bubble should appear on whichever display the first pointer is on at the moment the bubble starts appearing."

Mirco Müller (macslow) wrote :

That's known and on the ToDo list

Changed in notify-osd:
assignee: nobody → macslow
status: New → Confirmed
Alexander Sack (asac) wrote :

seems to be triaged https://bugs.edge.launchpad.net/ubuntu/+source/notify-osd/+bug/331369/comments/1.
Setting importance to medium as it "only" affects twinview setups. Micro, maybe give a quick evaluation to attract drive-by contributions?

Changed in notify-osd:
importance: Undecided → Medium
status: Confirmed → Triaged
Max Bowsher (maxb) wrote :

See also duplicate 332986 which stresses the point that the secondary screen may be *much* less visible than the primary.

TJ (tj) wrote :

This also affects multiple X screens.

1. Notification always appears on screen 0.
2. When focus is on screen 1+, the notification 'flashes' briefly (1/10th second) on screen 0.
3. When focus is on screen 0, the notification appears. If the focus is moved to another screen the notification disappears. If focus returns to screen 0 notification re-appears (all within the overall notification time-out).

A related issue is that when running multiple X-screens applications are 'associated' with the specific screen (both by the user and the system). Therefore there is a high user expectation that if (say) Evolution or Firefox are running on screen 1+ the notification or alert should appear on that screen.

This is especially important since multiple X screens may well be running in physically different locations (e.g. different rooms).

David Barth (dbarth) on 2009-03-14
Changed in notify-osd:
assignee: nobody → macslow
importance: Undecided → Medium
status: New → Triaged
will_in_wi (will-in-wi) wrote :

Confirmed here. The simple fix would be to make the notifications appear on the screen that the panel is on. The more difficult fix would be to make the notification appear on the screen that the application it effects is on, but default to the screen that the panel is on otherwise.

Niclas Lockner (niclasl) wrote :

"Setting importance to medium as it "only" affects twinview setups."
No, it affects me too. I use the radeon driver and randr.

Changed in notify-osd (Ubuntu):
milestone: none → ubuntu-9.04

Is there currently a workaround?
A way to position the location manually?

It took me a while to figure out why I didn't see any notifications by default. My right monitor is smaller and has a lesser resolution, so the top-right of the combined viewport isn't visible. Hence, I saw no notifications at all.

Is there some place to configure the location? I would rather have them start at the bottom-left of the viewport.

PS. A proper fix would be to:
 - either show notifications on both screens (ignoring the combined viewport)
 - show on the primary screen (hence the word 'primary')
 - have a way to configure where to show the notification (perhaps some people prefer it to be in the center or the left of the screen?). The current choice (top right) assumes a lot of things about how a desktop is setup. My least used-place on the screen is the bottom-left. But that's just MY setup. Perhaps a place in gconf where the power users can configure this stuff?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package notify-osd - 0.9.7-0ubuntu1

---------------
notify-osd (0.9.7-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - added and improved multihead support,
      notifications stick to panel whatever the monitor it is on (lp: #331369)
    - crashers fixes (lp: #331927, #349133)
    - enable the icon lookup fallback mechanism for fallback icons like
      notification-display-brightness-* (lp: #344385)
    - reworked parts of notify-osd in order to make it adapt dynamically to
      changes of font-face, font-size and dpi (lp: #339731)
    - ensure X errors will not kill notify-osd
    - use HTML- and markup-filter for title- and body-message-text also
      in fallback-dialog
  * debian/patches/correct_service_install.patch:
    - correctly install the dbus service
  * debian/rules:
    - use simple-patchsys rules

 -- Sebastien Bacher <email address hidden> Sat, 28 Mar 2009 12:45:12 +0100

Changed in notify-osd:
status: Triaged → Fix Released
Oli (oli) wrote :

"Fix Released"? More like "Bug Released"

Yeah, I'm in the other camp. I have two screens. They're identical and right next to each other. My display is like one 3840x1200px sheet of beauty...

Notifications, with the exception of a few hiccoughs, have been perfect *for me* pretty much since they were implemented.

Needless to say, I'm less than happy with the "fix". People have suggested various fixes but there is only one that will make people happy: let us decide. Store something in gconf. Add a tab to the Appearance Preferences screen.

Oli (oli) wrote :

Erk.. Forgot to mention (though it's fairly obvious implicitly) that I like my notifs on the secondary (right) screen.

Nick Read (nickread) wrote :

Were these fixes supposed to work for TwinView setups as well? Using 0.9.9-0ubuntu1 with TwinView. Right-hand monitor is set as primary, and I only have a single panel on the top of that right-hand screen. Notifications are displaying on the top-right corner of the left monitor.

Michael Rooney (mrooney) wrote :

I'll set back to Confirmed as per Nick's comment. Since the twinview bug #344582 was duped to this, it should work on twinview as well, or that bug should be unduped.

Changed in notify-osd (Ubuntu):
status: Fix Released → Confirmed
David Barth (dbarth) wrote :

Hi,

The behavior implemented as of 0.9.8 is to attach the notification to the panel, next to the status indicators. It seemed to be the most familiar and consistent default position for notifications.

If the panel spans the two screens, then notifications are displayed on the monitor on the right, along with other system indicators. If the panel is only on one screen, because you have then arranged on top of each other, then you will see the notifications on the top screen. If however, the panel is located at the bottom of one or both of your screens, then notifications will still be displayed at the top of the screen, and on the top right of the workarea.

If you are using a language that displays in right-to-left order, then the notifications should appear on the right corner as well.

Considering that multihead support is generally a setup for advanced users, we've also added a gconf key to enable a smarter mode. To enable it, you need to set "/apps/notify-osd/multihead_mode" to "focus-follow".

In this mode, the notifications will be displayed on the screen that contains the active window, and if none exists (if ever that can happen), then it will be displayed on the monitor that contains the mouse pointer.

Note that we only support multihead with RANDR, ie with a single X screen spanning multiple monitors, ie what most people use nowadays. Of course, we'll try to had support for multiple X screens soon, and also welcome patches for that.

David Barth (dbarth) wrote :

Oli, Nick, Michael, can you confirm that the latest version behaves as defined above.

I hope the advanced mode can be useful for you too. If you have other configuration ideas, let's discuss that as another bug (wishlist), as this one is about a regression vs n-d, and i think we're already doing better here. Please subscribe me to the new bug report as well.

Thanks,
David

David Barth schrieb:

> Considering that multihead support is generally a setup for advanced
> users, we've also added a gconf key to enable a smarter mode. To enable
> it, you need to set "/apps/notify-osd/multihead_mode" to "focus-follow".

@David Barth, how can i edit this key? I tryed to use gconf-editor but
there is no such key. Should i create it?

I'm not sure it does behave like that here. I'll let you know how I'm set up
and you can decide if it's how it's supposed to work... All I know is it's
not how I'd like it.

I'm using twinview. I believe that's a single X screen. I have two panels:

   1. At the bottom of my primary screen (left), containing the menu and a
   window list
   2. At the bottom of my secondary screen (right), containing a window
   list, notification area, clock, user switch applet and a couple of other
   little applets

Notifications currently show on the top-right of my primary screen.
I want them hugging the notification area: bottom-right of my secondary
screen.

I tried to enable follow but it hasn't worked without a restart (it may work
when I do restart) but I think it'll be too disorientating. I'd rather the
notifications just happened in one place.

On Mon, Apr 6, 2009 at 9:27 AM, David Barth <email address hidden>wrote:

> Oli, Nick, Michael, can you confirm that the latest version behaves as
> defined above.
>
> I hope the advanced mode can be useful for you too. If you have other
> configuration ideas, let's discuss that as another bug (wishlist), as
> this one is about a regression vs n-d, and i think we're already doing
> better here. Please subscribe me to the new bug report as well.
>
> Thanks,
> David
>
> --
> regression vs. notification-daemon: positioning when multiple screens are
> available
> https://bugs.launchpad.net/bugs/331369
> You received this bug notification because you are a direct subscriber
> of the bug.
>

fishor wrote:
> @David Barth, how can i edit this key? I tryed to use gconf-editor but
> there is no such key. Should i create it?
>
Yes, please do create the key.

Oleksij Rempel (olerem) wrote :

@David. gconf-editor do not have create function. I tryed per command
line but it not working for me too:
gconftool-2 -s -t string /apps/notify-osd/multihead_mode focus-follow

Nick Read (nickread) wrote :

David Barth wrote:
> The behavior implemented as of 0.9.8 is to attach the notification
> to the panel, next to the status indicators. It seemed to be the
> most familiar and consistent default position for notifications.

Personally, I'm happy for it to be like that - it's just not working that way that the moment :)

> If the panel spans the two screens, then notifications are displayed
> on the monitor on the right, along with other system indicators. If the
> panel is only on one screen, because you have then arranged on top
> of each other, then you will see the notifications on the top screen.

Panel is restricted to my primary monitor only which is on the right. If you view the attachment, apart from being in complete awe of my art skills, you can see a mock-up of what my screen setup is.

> Note that we only support multihead with RANDR, ie with a single X
> screen spanning multiple monitors, ie what most people use nowadays.
> Of course, we'll try to had support for multiple X screens soon, and also
> welcome patches for that.

TwinView only uses a single X server - it multiplexes the screens together but at the same time gives the window manager hints, for example, that maximising a window should only fill one screen. If you look at Oli's last comment above, you'll see that he is also using TwinView, his notifications are also showing on the left monitor, but unlike me his left monitor is also his primary monitor. I have not looked at the positioning code for the notifications (it's getting late here), but it is possible that the positioning code is always detecting the right-hand side of the left hand monitor as the position to be, regardless of what TwinView sets as the primary/second monitors. This same problem occurs with AWN, and up until recently with Gnome-Do.

Michael Bienia (geser) wrote :

I've the same problem: the notifications appear on my second (smaller) monitor which is left of my first (bigger) monitor.
My monitor layout matches Nick's drawing but I use the radeon Xorg driver.

David Barth (dbarth) wrote :

Fixed the advanced "focus-follow" mode gconf check too. I will request an exception to try to land that in 9.04 final.
Meanwhile, you can check out the code of notify-osd at: https://code.launchpad.net/~notify-osd-developers/notify-osd/main

Changed in notify-osd (Ubuntu):
status: Confirmed → Fix Committed

> The behavior implemented as of 0.9.8 is to attach the notification
> to the panel, next to the status indicators. It seemed to be the
> most familiar and consistent default position for notifications.

@David
this is certainly not apparant in 0.9.11-0ubuntu1 on my setup. I, like others in this thread, have a single panel at the bottom of the screen but notifications appear top right. With a 24" 1920x1200 setup, I rarely see them.

The focus-follow fix would be an improvement (any news on when that might land?) but a configurable location would still be infinitely preferable. Bug 346095 (https://bugs.launchpad.net/ubuntu/+source/notify-osd/+bug/346095) shows some of the strength of feeling about this kind of thing. It doesn't appear to be a dupe of this, but probably should be.

Cheers,
Darren.

Ryan Waldroop (ryan.waldroop) wrote :

I have 2 screens using nvidia twinview with left (primary, 17" LCD, 1280x1024) and significantly larger right (21" CRT, 2048x1536) monitors. The left screen contains the two standard panels and usually firefox (and evolution if it's workings :P). Right screen usually idles in IRC on Pidgin and plays music with Banshee.

When I first switched to Jaunty, having the notifications show up on the right of the right screen somewhere near the middle was a slight annoyance. It's twice the height of my primary, so the notifications would show up near where the top of the left screen is...about 1024 pixels high. If a song changed, I had to turn my head to what was playing in banshee instead of getting the libnotify popup under my clock and over firefox. Same goes for buddies logging in and out of pidgin.

This problem was fixed a couple of weeks ago, but has since regressed to its original behavior.

Nick Read (nickread) wrote :

Upgraded today to 0.9.11-0ubuntu1. Firstly, my previous issue is now fixed, sort of - the notifications show up on the top-right of my primary monitor (on the right-hand side) next to the clock/indicator/FUSA. This is all great and can be seen in the attached "correct.png".

To test that the notifications really are connected to the clock/indicator/FUSA applets, I added a new panel on my secondary monitor and moved those applets to there. The notifications would then correctly appear on my second monitor. I then moved the applets back to the original panel on the primary screen and left the new panel on the second screen, only to find that notifications would still appear on this second screen. Removing the new panel has the notifications correctly appear on the primary monitor. To confirm it was not using the applets for placement, I simply added the new panel to the second monitor again, no applets, and the notification would appear there. See "incorrect.png" attached in the next comment.

Nick Read (nickread) wrote :

Additional attachment for the previous comment.

For the record, this issue is no longer a problem for me as I only have the one panel on the primary monitor, but it is probably still be a problem for others.

David Barth (dbarth) wrote :

@Darren: notifications are always shown at the top of the screen as a design recommendation; if the panel is at the bottom, they still appear at the top of the screen

@Ryan: i don't think there was a regression recently here; we had some initial try some weeks ago at positioning the notifications not directly at the top, but the resulting gap was disturbing for most users

@Nick: notify-osd looks for either the a gnome-panel at the top or the standard WORKAREA if no top gnome-panel can be detected; we don't strictly try to detect where the status icons are because they may be distributed over multiple panels and not necessarily in the order we would expect them to be to be able to decide where to actually display notifications. Instead we chose to attach them to the right side of the top panel (or the left side if your using a RTL language)

David Barth (dbarth) wrote :

Freeze exception request.

Description of the proposed changes:

The change is about fixing a bug where the advanced multi-head configuration mode was not working.

Rationale for the exception:

What this mode should do is allow people with multiple monitors to (optionally) see notifications being displayed on the monitor that contains the active window, as opposed to seeing them always on the monitor that contains the top gnome-panel (this is the default behavior).

With this change, we would like to fix the last remaining high priority bug for notify-osd, and a potential regression vs notification-daemon at the same time.

We feel the change is safe in that:
 * it is a 1 line patch for fixing a bug
 * it does activate a code path with no error cases forks, nor any other object lifecycle issues (potential leaks)
 * it does not trigger any additional (potentially untested) queries to external sub-systems like gconf; that was already the case before the fix

Additional information:

The fix has been integrated in a new tarball (notify-osd-0.9.12) that contains this fix:

=== modified file 'src/defaults.c'
--- src/defaults.c 2009-04-03 22:00:34 +0000
+++ src/defaults.c 2009-04-10 09:54:05 +0000
@@ -2072,7 +2072,7 @@
          &error);
  if (mode_str != NULL)
  {
- if (g_strcmp0 (mode_str, "focus-follow"))
+ if (! g_strcmp0 (mode_str, "focus-follow"))
    mode = TRUE;
  } else if (error != NULL)
   g_warning ("error getting multihead mode: %s\n",

David: but for some reason, several weeks ago the notification moved from my
secondary monitor, to my primary (which has the panels). Then just 2 days
ago it's moved back to the middle of my secondary monitor.

Again, I'm using nvidia TwinView with different sized monitors and RANDR
does not run with this configuration.

On Thu, Apr 16, 2009 at 12:23 PM, David Barth <email address hidden>wrote:

> @Darren: notifications are always shown at the top of the screen as a
> design recommendation; if the panel is at the bottom, they still appear
> at the top of the screen
>
> @Ryan: i don't think there was a regression recently here; we had some
> initial try some weeks ago at positioning the notifications not directly
> at the top, but the resulting gap was disturbing for most users
>
> @Nick: notify-osd looks for either the a gnome-panel at the top or the
> standard WORKAREA if no top gnome-panel can be detected; we don't
> strictly try to detect where the status icons are because they may be
> distributed over multiple panels and not necessarily in the order we
> would expect them to be to be able to decide where to actually display
> notifications. Instead we chose to attach them to the right side of the
> top panel (or the left side if your using a RTL language)
>
> --
> regression vs. notification-daemon: positioning when multiple screens are
> available
> https://bugs.launchpad.net/bugs/331369
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Martin Pitt (pitti) wrote :

I test-pulled from trunk, and it has a whole lot of other changes. So should I just cherrypick that patch then?

Mirco Müller (macslow) wrote :

For the cherry-picking, you're after rev 293, pitti.

Martin Pitt (pitti) wrote :

I uploaded this patch yesterday, waiting in the queue.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package notify-osd - 0.9.11-0ubuntu3

---------------
notify-osd (0.9.11-0ubuntu3) jaunty; urgency=low

  * Correctly check for multihead_mode, to make bubbles always appear on the
    primary screen. Cherrypicked from trunk. (LP: #331369)

 -- Martin Pitt <email address hidden> Fri, 17 Apr 2009 16:25:20 +0200

Changed in notify-osd (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Unity (haziel) wrote :

I still have the problem with twinview with the latest update.
I have a primary LCD monitor and a second LCD TV for watching movies.
All the notifications are displayed on the TV which isn't in the same room :p

I've also tried : gconftool-2 -s -t string /apps/notify-osd/multihead_mode focus-follow..but with no success so far...

Aaron Sarna (shoofy) wrote :

Isn't there a way to make sure that the notification isn't appearing outside the visible area of the screen? When I maximize a window on my monitor with the smaller vertical resolution the windows don't go out of the visible area, so something must be aware of the true monitor size. Why can't notify-osd display top-right of the true monitor size?

jcornwall (jay-jcornwall) wrote :

I still have this problem with 0.9.11-0ubuntu3 on a TwinView setup. Here's the output of notify-osd:

** (notify-osd:6226): DEBUG: selecting monitor 0 at (0,0) - 1920x1200
** (notify-osd:6226): DEBUG: no panel detetected; using workarea fallback
** (notify-osd:6226): DEBUG: top corner at: 3550, -2

The full area is 3840x1200 and the OSD is placed just short of the far right on the second monitor. It does detect the right monitor at first; there seems to be some incorrect logic after that.

Ryan Waldroop (ryan.waldroop) wrote :

As per the other testers above, this bug is still not fixed.

I can't confirm it. After update yesterday, notification appears on the
active monitor. Exactly how it suppose to be.

rubberglove (infinite-nwar) wrote :

I mentioned this in another bug thread, but I believe this is the more appropriate one.
I use randr to do multiple displays stacked vertically (to stay within my poor graphics card's limit of 2048x2048 for 3d acceleration). The primary display is my LCD screen, and the secondary display (placed above the primary) is a TV across the room for watching movies.

My gnome panel is at the bottom of my primary screen, but with the secondary screen active, the notifications appear... well... nowhere (I assume they are being positioned at the top right of my virtual screen (outside the viewable area).

Matt Joiner (anacrolix) wrote :

I'm using nvidia twinview, a 1680x1050 on the left, and 1280x1024 on the right.
No matter the position I select in Pop-up Notifications dialog, the pop ups are always in the top right of the left monitor.

I only WISH mine would show up on the top right of the left (primary)
monitor. :(

On Thu, Apr 23, 2009 at 9:26 AM, Matt Joiner <email address hidden> wrote:

> I'm using nvidia twinview, a 1680x1050 on the left, and 1280x1024 on the
> right.
> No matter the position I select in Pop-up Notifications dialog, the pop ups
> are always in the top right of the left monitor.
>
> --
> regression vs. notification-daemon: positioning when multiple screens are
> available
> https://bugs.launchpad.net/bugs/331369
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Raybuntu (raybuntu) on 2009-05-01
Changed in notify-osd (Ubuntu Jaunty):
status: Fix Released → Confirmed
Steve Langasek (vorlon) on 2009-05-05
Changed in notify-osd (Ubuntu Jaunty):
milestone: ubuntu-9.04 → none
Jack Leigh (leighman) on 2010-10-21
tags: added: jaunty regression-release
removed: regression-potential
Jorge O. Castro (jorge) on 2011-03-03
Changed in notify-osd (Ubuntu):
status: Fix Released → Confirmed
tags: removed: jaunty regression-release
Greg A (etulfetulf) on 2011-03-21
tags: added: regression-release
Changed in notify-osd (Ubuntu):
milestone: ubuntu-9.04 → ubuntu-11.04-beta-1
Changed in notify-osd (Ubuntu Natty):
milestone: ubuntu-11.04-beta-1 → ubuntu-11.04-beta-2
Changed in notify-osd (Ubuntu Natty):
milestone: ubuntu-11.04-beta-2 → ubuntu-11.04
48 comments hidden view all 128 comments
Alex Valavanis (valavanisalex) wrote :

Jaunty reached end-of-life on 23 October 2010. The bug is marked as "confirmed" in later versions of Ubuntu

Changed in notify-osd (Ubuntu Jaunty):
assignee: Mirco Müller (macslow) → nobody
status: Confirmed → Won't Fix
Mark Russell (marrusl) wrote :

Not just NVIDIA/TwinView. I have this problem with the current Natty. ATI Radeon 4570HD. Using radeon oss driver. What's weird is that it was working as expected (i.e. notifications on primary monitor, which is my external) just over a week ago.

Changed in notify-osd (Ubuntu Natty):
milestone: ubuntu-11.04 → natty-updates
Changed in notify-osd (Ubuntu Oneiric):
milestone: ubuntu-11.04 → none
Kieran Hogg (xerosis) wrote :

Is this on the radar to fix with an SRU? As is, my notifications are useless; I have a 24" primary monitor and a 17" secondary monitor. The notifications currently show up on the secondary, which well out of my eyeline when looking at the primary monitor. I set the primary using xrandr is that might be anything to do with it?

Kai Mast (kai-mast) wrote :

Same issue here using opensource drivers for radeon on Natty!

JayBofMA (jayburrill) wrote :

This is similar to the question I posted recently against notify-osd (https://answers.launchpad.net/ubuntu/+source/notify-osd/+question/158709). My situation is 64-bit Natty with Separate X and Xinerama on a NVIDIA Quadro FX 350M. The Top Panel, with all of its icons, is repeated on the second monitor (a gripe in and of itself). Evolution notification pop-ups are on the primary display, but the Top Panel mail icon is colorized in the secondary monitor (less obvious). This in contrast to Evolution alarm notifications for meetings, where the alarm icon is added to the primary monitor as I would expect. It is very confusing to have any notifications applied to the secondary monitor.

JayBofMA (jayburrill) wrote :

Slight modification to https://bugs.launchpad.net/ubuntu/natty/+source/notify-osd/+bug/331369/comments/93, above. Further evidence thatg raising alerts on the secondary monitor is not helpful to the user is that with Unity-2d running now, the Network Connection, Evolution New Email, etc. are actually popped up on the secondary monitor of this Separate X/Xinerama setup. This is contrary to what I noted above, but further proof that this behavior detracts from the usability of Ubuntu.

Vitali Kulikou (sabotatore) wrote :

What do you think when will be fixed this bug?

Riccardo Pelizzi (r-pelizzi) wrote :

This bug affects me too: I am plugging my laptop to an external monitor and i am using the external monitor as the primary screen, but the notifications are still displayed on the laptop screen.

i3 350m laptop with intel hd graphics, definitely not twinview-related.

Riccardo Pelizzi (r-pelizzi) wrote :

by setting multihead-mode to "focus-follow" i can get the notifications on the main monitor... why isn't this the default behaviour? However, it seems that notification positioning is wrong: instead of leaving a tiny space from the panel, it leaves a tiny space from the top of the screen, therefore partially obstructing the panel.

John Lea (johnlea) on 2011-10-19
description: updated
tags: added: udo udp
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → Low
status: New → Fix Committed
Kieran Hogg (xerosis) wrote :

Missed the "follow-focus" comment earlier in the discussion so I tried that excitedly but even that doesn't work for me.

John Lea (johnlea) on 2011-10-20
Changed in ayatana-design:
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-10-20
Changed in notify-osd (Ubuntu):
status: Confirmed → Fix Released
Changed in notify-osd (Ubuntu Oneiric):
status: Confirmed → Fix Released
Changed in notify-osd (Ubuntu Natty):
status: Confirmed → Fix Released
John Lea (johnlea) on 2011-10-20
tags: removed: udo udp
Didier Roche (didrocks) wrote :

multimonitor case will be reviewed for work in next LTS. Closing the regresssion for now, will be tracked independently

Yuriy Voziy (yuretsz) wrote :

After update to 11.10 the focus-follow setting is no longer works. My second display is TV and all notifications is shown on the TV, which is mostly turned off. That's a shame.

Vitali Kulikou (sabotatore) wrote :

It still works incorrect..

Tomasz Przybysz (topr) wrote :

Confirmed, problem still occurs on 11.10 (I'm on ATI binary drivers).

Maybe it's somehow related to this one:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/742544?comments=all

In both cases 'primary' flag for monitor is ignored.
Dash goes to most left monitor.
Notifications go to the most right monitor.
With multiple configuration screen no matter how one would connect and set them even scarifying favorite arrangement. Still notifications will be on the other monitor than dash.

That's a true no-go.

Tomasz Przybysz (topr) wrote :

sacrificing*

Max Barry (max-maxbarry) wrote :

The multihead-mode "focus-follow" fix mentioned earlier DOES work for me, but in Ubuntu11.10 I have to use dconf-editor, not gconf-editor (which is obsolete now, right?).

This makes notifications appear on whichever screen has focus (which is very handy, I've found). It's working for me with twinview configured via nvidia-settings.

Before: notifications always appeared on the right-hand monitor, which was sub-optimal because I'm not usually looking at it.

Fix: "dconf--editor", navigate to apps -> notify-osd, change "multihead-mode" to "focus-follow". No need to log out or restart anything.

Test:
notify-send --icon=gtk-add "Test notification" "This is a test message"

Max Barry (max-maxbarry) wrote :

Er, sorry, that "Fix" line should read "dconf-editor", not "dconf--editor".

Kieran Hogg (xerosis) wrote :

I can confirm that Max's solution in comment #104 works.

mahfiaz (mahfiaz) wrote :

It is still problem on precise, which is the before mentioned LTS.

Sebastien Bacher (seb128) wrote :

it should be fixed with 0.9.34 in precise

Stéphane Graber (stgraber) wrote :

stgraber@castiana:~$ xrandr --output LVDS1 --primary

Then try to change the sound volume or anything else using notify-osd => still shows on the secondary screen.

My understanding of the fix from 0.9.34-0ubuntu1 is that it avoids displaying notify-osd in a dead zone when in dual-screen mode, it doesn't make it display on the "right" screen.

I didn't read all the comments above, but this fix at the very least doesn't fix the problem described in the bug description.

_dan_ (dan-void) wrote :

i am using 11.10 notify-osd 0.9.32-0 and this bug is *NOT* fixed.
Notify osd still pops up at the right Monitor, no matter if its the primary or not.

Paul Leger (pleger) wrote :

This bug is still present on Ubuntu 12.04 with a NVIDIA video card. If you know any patch/working around, tell me. I am a bit desperate with this bug.

Julian J. M. (julianjm) wrote :

After updating to 12.04 (from 11.10), i'm hitting this but as well...

I'm using Nvidia Twinview. I've been using it since 11.04 without issues.

One thing I noticed in 12.04, is that screen setup only shows 1 big screen of 2560x1024, instead of 2 screens of 1280x1024 each. It didn't happen before.
BTW, the pannels are on the right screen.

Julian.

hackel (hackel) wrote :

I just upgraded to 12.04 and am experiencing this issue with a second monitor as well. The work-around described in comment #104 worked for me as well. There really needs to be a UI for this setting, with an intelligent default. Please re-open this bug until it is fixed. It may have chosen my second monitor because it is larger (higher resolution) than my laptop display. When one is hooked up to a TV as a second monitor, having notifications appear there is almost never desirable.

Leo Unglaub (leo-unglaub) wrote :

I have the same error. I have 3 monitors connected, but the information popup is only displayed on the right screen and not on the screen with the most focus. This is really anoying because you are missing a lot of information popups.

e_dub_kendo (e-dub-kendo) wrote :

Same error here. Laptop with main screen, and a HD television screen hooked up via hdmi cable which I use to watch videos while working. Moving the tv screen from the bottom display to the top display actually fixed the notification problem, but created other problems , with Guake Terminal for instance, which I use frequently while working. The best workaround I've found so far is using the "follow-focus" method as mentioned in comment #104, however this is certainly imperfect as the notifications are now positioned slightly differently from normal which is mildly annoying though temporarily livable. Using the unofficial methods as discussed in this thread (http://askubuntu.com/questions/128474/how-to-customize-on-screen-notifications) to make notifyOSD configurable and then setting the notification positioning from "fixed" to "dynamic" actually gave more normal positioning, but unfortunately also altered the look of the notifications themselves. Perhaps I'm being picky , but I found that even more bothersome and distracting. Currently, notifications as they look and work on normal single screen setup are beautiful and draw the eye enough to do their job, but no more. In other words, nearly perfect. I really hope you will soon address this issue.

For the record, I actually have an AMD A8 'Vision' graphics card, which came with my notebook.

Ludovico (aasonykk) wrote :

With the workaround of #104 i solved the problem.

Zordid (zordid-gmx) wrote :

Top! Solution #104 works! Now, please make "follow-focus" the default!

John Karahalis (openjck) wrote :

Does not work as described (If any windows are open, a bubble should appear...) for me. I am on 12.04 and have not applied the modification mentioned in comment #104.

MestreLion (mestrelion) wrote :

I don't know about previous releases, but this is NOT fixed for Precise.

Default in dconf-editor /apps/notify-osd/multihead-mode was "dont-focus-follow". Changing to "focus-follow" and logging out and back in, as per comment #104, fixed the issue.

"Fix Released" should mean either default changed to reasonable "focus-follow" or a GUI that allows user to change that for both himself and for other/new users.

#104 worked for me too with 12.04. Thanks! It was driving me nuts

1 comments hidden view all 128 comments
Ľubomír Mlích (hater-zlin) wrote :

Hi,

12.10 - #104 worked, but it turned on screen mirroring, so i had to turn it off.

I however have another, very simillar issue, which i was searching internet unsuccesfuly. Popus too open on second monitor, why dont they open on the active diplay (where the mouse cursor is)?

For example Emphathy Preferences open on second display. I move it to the first, close it and open again - on second display.

Why?

It's really confusing. Where system decide on which display will new window open?

Thanks and sorry for mixinig two issues.

On 24/10/2012 17:00, Ľubomír Mlích wrote:
>
> I however have another, very simillar issue, which i was searching
> internet unsuccesfuly. Popus too open on second monitor, why dont they
> open on the active diplay (where the mouse cursor is)?

This is unrelated to the current bug, but you can change the "Multi Output Mode"
setting in the "Place Windows" plugin in CompizConfig Settings Manager. "Use
output device with pointer" should do what you're looking for.

--
Kind regards,
Loong Jin

Ľubomír Mlích (hater-zlin) wrote :

Thanks. On first computer its functional, on second not yet :)

Anyway, my first though was, that these two things must be configured at same place.

Rael (rael-gc) wrote :

I decided to give a try to Unity, in 2013, on LTS (12.04).
And, while fighting to change font size, themes, I found this bug while working with second monitor attached to desktop.
I.e., my configured as primary is the HDMI monitor at left. And the notifications are displayed in the secondary (at right) monitor.
Any patch for Precise? I know there is a dconf workaround. But this is really the Unity way? For anything I want to customize/fix, install a third party program?

Rael (rael-gc) wrote :

Can someone nominate it to Precise too?

Eddie Dunn (eddie-dunn) wrote :

Why isn't focus-follow the default? It's an easy way to fix to a very annoying issue.

I am using 13.10 and the notification does not appear on the monitor with the focused window. I this the problem described here?

no longer affects: notify-osd
no longer affects: notify-osd/trunk
Displaying first 40 and last 40 comments. View all 128 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers